diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/fs/exec.c linux-2.6.9-vs1.9.4-rc2/fs/exec.c
--- linux-2.6.9-vs1.9.3-w04/fs/exec.c	2005-01-13 14:31:03.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/fs/exec.c	2005-01-12 17:54:36.000000000 +0100
@@ -436,9 +436,9 @@ int setup_arg_pages(struct linux_binprm 
 		mpnt->vm_flags |= mm->def_flags;
 		mpnt->vm_page_prot = protection_map[mpnt->vm_flags & 0x7];
 		insert_vm_struct(mm, mpnt);
-	       // mm->stack_vm = mm->total_vm = vma_pages(mpnt);
-	       vx_vmpages_sub(mm, mm->total_vm - vma_pages(mpnt));
-	       mm->stack_vm = mm->total_vm;
+               // mm->stack_vm = mm->total_vm = vma_pages(mpnt);
+               vx_vmpages_sub(mm, mm->total_vm - vma_pages(mpnt));
+               mm->stack_vm = mm->total_vm;
 	}
 
 	for (i = 0 ; i < MAX_ARG_PAGES ; i++) {
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/fs/namei.c linux-2.6.9-vs1.9.4-rc2/fs/namei.c
--- linux-2.6.9-vs1.9.3-w04/fs/namei.c	2005-01-13 14:31:19.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/fs/namei.c	2005-01-12 17:54:36.000000000 +0100
@@ -656,7 +656,7 @@ static int do_lookup(struct nameidata *n
 	if (inode->i_sb->s_magic == PROC_SUPER_MAGIC) {
 		struct proc_dir_entry *de = PDE(inode);
 
-		if (de && !vx_hide_check(0, de->vx_flags))
+                if (de && !vx_hide_check(0, de->vx_flags))
 			goto hidden;
 	}
 done:
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/fs/namespace.c linux-2.6.9-vs1.9.4-rc2/fs/namespace.c
--- linux-2.6.9-vs1.9.3-w04/fs/namespace.c	2005-01-13 14:31:14.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/fs/namespace.c	2005-01-12 17:53:53.000000000 +0100
@@ -264,7 +264,7 @@ static int show_vfsmnt(struct seq_file *
 			seq_puts(m, fs_infop->str);
 	}
 	if (mnt->mnt_flags & MNT_XID)
-		seq_printf(m, ",xid=%d", mnt->mnt_xid);
+		seq_printf(m, ",xid=%d", mnt->mnt_xid);	
 	if (mnt->mnt_sb->s_op->show_options)
 		err = mnt->mnt_sb->s_op->show_options(m, mnt);
 	seq_puts(m, " 0 0\n");
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/include/linux/vserver/context.h linux-2.6.9-vs1.9.4-rc2/include/linux/vserver/context.h
--- linux-2.6.9-vs1.9.3-w04/include/linux/vserver/context.h	2005-01-13 14:31:27.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/include/linux/vserver/context.h	2005-01-12 17:57:22.000000000 +0100
@@ -145,6 +145,8 @@ extern int vx_info_is_hashed(xid_t);
 
 extern int vx_migrate_task(struct task_struct *, struct vx_info *);
 
+// extern int proc_pid_vx_info(struct task_struct *, char *);
+
 extern long vs_context_state(unsigned int);
 
 #endif	/* __KERNEL__ */
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/include/net/af_unix.h linux-2.6.9-vs1.9.4-rc2/include/net/af_unix.h
--- linux-2.6.9-vs1.9.3-w04/include/net/af_unix.h	2005-01-13 14:30:59.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/include/net/af_unix.h	2005-01-12 17:53:53.000000000 +0100
@@ -1,6 +1,7 @@
 #ifndef __LINUX_NET_AFUNIX_H
 #define __LINUX_NET_AFUNIX_H
 
+// #include <linux/vs_base.h>
 
 extern void unix_inflight(struct file *fp);
 extern void unix_notinflight(struct file *fp);
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/kernel/sys.c linux-2.6.9-vs1.9.4-rc2/kernel/sys.c
--- linux-2.6.9-vs1.9.3-w04/kernel/sys.c	2005-01-13 14:30:59.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/kernel/sys.c	2005-01-12 17:54:36.000000000 +0100
@@ -349,7 +349,7 @@ asmlinkage long sys_setpriority(int whic
 			if (!who)
 				user = current->user;
 			else
-				user = find_user(vx_current_xid(), who);
+                               user = find_user(vx_current_xid(), who);
 
 			if (!user)
 				goto out_unlock;
@@ -408,7 +408,7 @@ asmlinkage long sys_getpriority(int whic
 			if (!who)
 				user = current->user;
 			else
-				user = find_user(vx_current_xid(), who);
+                               user = find_user(vx_current_xid(), who);
 
 			if (!user)
 				goto out_unlock;
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/kernel/vserver/inode.c linux-2.6.9-vs1.9.4-rc2/kernel/vserver/inode.c
--- linux-2.6.9-vs1.9.3-w04/kernel/vserver/inode.c	2005-01-13 14:31:31.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/kernel/vserver/inode.c	2005-01-12 17:56:01.000000000 +0100
@@ -256,13 +256,13 @@ int vx_parse_xid(char *string, xid_t *xi
 		*xid = option;
 
 	vxdprintk(VXD_CBIT(xid, 7),
-		"vx_parse_xid(»%s«): %d:#%d",
-		string, token, option);
+                "vx_parse_xid(»%s«): %d:#%d", 
+                string, token, option);
 
 	if (token && remove) {
 		char *p = strstr(string, "xid=");
 		char *q = p;
-
+		
 		if (p) {
 			while (*q != '\0' && *q != ',')
 				q++;
@@ -290,10 +290,10 @@ void vx_propagate_xid(struct nameidata *
 	propagate = (mnt->mnt_flags & MNT_XID);
 	if (propagate)
 		new_xid = mnt->mnt_xid;
-
+	
 	vxdprintk(VXD_CBIT(xid, 7),
-		"vx_propagate_xid(%p[#%lu.%d]): %d,%d",
-		inode, inode->i_ino, inode->i_xid,
+                "vx_propagate_xid(%p[#%lu.%d]): %d,%d", 
+                inode, inode->i_ino, inode->i_xid, 
 		new_xid, (propagate)?1:0);
 
 	if (propagate)
diff -NurpP --minimal linux-2.6.9-vs1.9.3-w04/kernel/vserver/switch.c linux-2.6.9-vs1.9.4-rc2/kernel/vserver/switch.c
--- linux-2.6.9-vs1.9.3-w04/kernel/vserver/switch.c	2005-01-13 14:32:04.000000000 +0100
+++ linux-2.6.9-vs1.9.4-rc2/kernel/vserver/switch.c	2005-01-12 17:57:22.000000000 +0100
@@ -37,7 +37,11 @@ vc_get_version(uint32_t id)
 #include <linux/vserver/debug_cmd.h>
 
 #include <linux/vserver/legacy.h>
+// #include <linux/vserver/context.h>
+// #include <linux/vserver/network.h>
 #include <linux/vserver/namespace.h>
+// #include <linux/vserver/sched.h>
+// #include <linux/vserver/limit.h>
 #include <linux/vserver/inode.h>
 #include <linux/vserver/signal.h>
 #include <linux/vserver/dlimit.h>
